package com.zd.exam.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.data.annotation.Transient;

/**
 * 试卷考题备选答案对象 el_paper_qu_answer
 *
 * @author zd
 * @date 2021-08-31
 */
@ApiModel(value = "试卷考题选型", description = "试卷考题选型")
public class ElPaperQuAnswer extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    private Long id;

    /**
     * 试卷ID
     */
    @ApiModelProperty(value = "试卷ID")
    @Excel(name = "试卷ID")
    private Long paperId;

    /**
     * 回答项ID
     */
    @ApiModelProperty(value = "回答项ID")
    @Excel(name = "回答项ID")
    private Long answerId;

    /**
     * 题目ID
     */
    @ApiModelProperty(value = "题目ID")
    @Excel(name = "题目ID")
    private Long quId;

    /**
     * 是否正确 0 不是， 1 是
     */
    @ApiModelProperty(value = "是否正确项")
    @Excel(name = "是否正确项")
    private Integer isRight;

    /**
     * 是否选中 0 否，1 是
     */
    @ApiModelProperty(value = "是否选中")
    @Excel(name = "是否选中")
    private Integer checked;

    /**
     * 排序
     */
    @ApiModelProperty(value = "排序")
    @Excel(name = "排序")
    private Integer sort;

    /**
     * 选项标签
     */
    @ApiModelProperty(value = "选项标签")
    @Excel(name = "选项标签")
    private String abc;

    /**
     * 选项描述
     */
    @Transient
    @ApiModelProperty(value = "选项描述")
    private String content;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setAnswerId(Long answerId) {
        this.answerId = answerId;
    }

    public Long getAnswerId() {
        return answerId;
    }

    public void setQuId(Long quId) {
        this.quId = quId;
    }

    public Long getQuId() {
        return quId;
    }

    public void setAbc(String abc) {
        this.abc = abc;
    }

    public String getAbc() {
        return abc;
    }

    public Integer getIsRight() {
        return isRight;
    }

    public void setIsRight(Integer isRight) {
        this.isRight = isRight;
    }

    public Integer getChecked() {
        return checked;
    }

    public void setChecked(Integer checked) {
        this.checked = checked;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
